Bug 1023595 - yum-config-manager --setopt doesn't work with dotted repoids
yum-config-manager --setopt doesn't work with dotted repoids
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1024111
  Show dependency treegraph
 
Reported: 2013-10-25 17:23 EDT by John W. Lamb
Modified: 2014-06-13 09:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: yum-3.4.3-120.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1024111 (view as bug list)
Environment:
Last Closed: 2013-12-10 01:12:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Lamb 2013-10-25 17:23:02 EDT
Description of problem:

Running yum-config-manager --setopt=repo.id.with.dots.enabled=0 repo.id.with.dots --save doesn't update the repo config file as expected.

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-14 (Fedora)
yum-utils-1.1.30-14 (Red Hat 6.4)

How reproducible:

Add a repository with dots in the repoid, then try to adjust some attribute using yum-config-manager --setopt 

Steps to Reproduce:
1. Add a repo in /etc/yum.repos.d with a dot in the repoid (in RHEL, this was discovered with the OpenShift repos, e.g. rhel-server-ose-1.2-infra-6-rpms)
2. Try to adjust some option using yum-config-manager: yum-config-manager --setopt=rhel-server-ose-1.2-infra-6-rpms.enabled=0 rhel-server-ose-1.2-infra-6-rpms --save
3. Check the repo file to verify that the change did not get committed

Actual results:
The "enabled" option will remain unchanged

Expected results:
The "enabled" option will be written to file as "enabled=0"

Additional info:
As mentioned above, this impacts Fedora and RHEL.
Comment 1 Luke Meyer 2013-10-26 07:12:01 EDT
There is some indication that you should be able to work around this with wildcards, e.g. http://lists.baseurl.org/pipermail/yum-commits/2012-February/004559.html

At least with yum-utils-1.1.30-14.el6.noarch though, this doesn't work. Wildcard setopts are silently ignored. E.g.:

yum-config-manager  --setopt '*.exclude=bar' rhel-6-server-rpms --save
# that does nothing
yum-config-manager  --setopt 'rhel-6-server-rpms.exclude=bar' rhel-6-server-rpms --save
# that works

BTW, would it be too much trouble to get some kind of error indication when setopt is ignored? As it is, the only way you can tell you've made a typo or it didn't work is by checking the output value to see if it matches what you put in, which isn't great for scripted usage.
Comment 2 James Antill 2013-11-15 10:06:11 EST
 Fixed upstream. It'll get back into F19 if/when we rebase yum.

commit a39f13193419ce9494f21963b32ed7d4453e8e49
Author: James Antill <james@and.org>
Date:   Fri Oct 25 16:38:13 2013 -0400
Comment 3 Fedora Update System 2013-12-04 11:32:25 EST
yum-3.4.3-119.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-119.fc19
Comment 4 Fedora Update System 2013-12-04 11:34:53 EST
yum-3.4.3-119.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-119.fc20
Comment 5 Fedora Update System 2013-12-04 19:38:46 EST
Package yum-3.4.3-119.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-119.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22706/yum-3.4.3-119.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-06 09:24:52 EST
yum-3.4.3-120.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc19
Comment 7 Fedora Update System 2013-12-06 09:33:11 EST
yum-3.4.3-120.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc20
Comment 8 Fedora Update System 2013-12-10 01:12:12 EST
yum-3.4.3-120.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-13 22:30:44 EST
yum-3.4.3-120.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.